Get Detailed Tip Export Data
curl --request GET \
--url https://api.decodahealth.com/billing/tips/export/detailed \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/tips/export/detailed"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/tips/export/detailed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"tipId": "<string>",
"providerId": "<string>",
"providerName": "<string>",
"providerEmail": "<string>",
"tipAmount": 123,
"patientName": "<string>",
"chargeId": "<string>",
"locationName": "<string>",
"tipDate": "<string>",
"startDate": "<string>",
"endDate": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Tips
Get Detailed Tip Export Data
Get detailed tip export data showing individual tip transactions for each provider.
Without BILLING_PAY_VIEW_ALL permission, only returns current user’s tips.
GET
/
billing
/
tips
/
export
/
detailed
Get Detailed Tip Export Data
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Start date for tip export (YYYY-MM-DD)
End date for tip export (YYYY-MM-DD)
Timezone for date range
Optional location IDs to filter tips by
Response
Successful Response
Tip ID
Provider ID
Provider full name
Provider email
Individual tip amount in cents
Patient name
Charge ID
Location name
Date when tip was created
Export period start date
Export period end date

